Anthony
Mercatante
tonio@ubuntu.com
2007
Anthony Mercatante
2007-03-26
kdesudo
1

# kdesudo

a sudo frontend for KDE

          kdesudo

            Generic-options

            kdesudo-options

## DESCRIPTION

kdesudo is a frontend for sudo for the KDE desktop.

## OPTIONS

### Generic options:

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show KDE specific options

`--help-all`

  Show all options

`--author`

  Show author information

`-v`, `--version`

  Show version information

`--license`

  Show license information

`--`

  Indicates end of options

### KdeSudo Options:

`-c « command »`

  Specifies the command to run

`-u « user »`

  Specifies the target uid [default is root]

`-n`

  Do not keep password

`-s`

  Forgets all passwords

`-p « priority »`

  Set priority value: between 0 and 100, 0 is lowest [default is 50]

`--nonewdcop`

  Let command use existing dcopserver

`--comment « comment »`

  Comment to display in the dialog box

`--noignorebutton`

  Do not display « ignore » button

`-i « icon_name »`

  Specify icon to use in the password dialog

`-d`

  Do not show the command to be run in the dialog

`-r`

  Use realtime scheduling

`-f « file »`

  Use target UID if « file » is not writeable

`-t`

  Enable terminal output (no password keeping)

### KdeSudo options:

`-u`

  Sets a runas user

## COPYRIGHT

This manual page was written by Anthony Mercatante tonio@ubuntu.com for the Ubuntu system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL`.